fop 2.3

## org.apache.fop.layoutmgr
Class WhitespaceManagementPenalty.Variant

    java.lang.Object
      org.apache.fop.layoutmgr.WhitespaceManagementPenalty.Variant

Enclosing class:
  WhitespaceManagementPenalty

    public class WhitespaceManagementPenalty.Variant

extends java.lang.Object

Field Summary
`java.util.List<ListElement>` `knuthList`
`int` `width`

Constructor Summary
`WhitespaceManagementPenalty.Variant(java.util.List<ListElement> knuthList, int width)`

Method Summary
`KnuthElement` `getPenalty()`
`WhitespaceManagementPenalty` `getWhitespaceManagementPenalty()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### knuthList

    public final java.util.List<ListElement> knuthList

### width

    public final int width

Constructor Detail

### WhitespaceManagementPenalty.Variant

    public WhitespaceManagementPenalty.Variant(java.util.List<ListElement> knuthList,
                                               int width)

Method Detail

### getPenalty

    public KnuthElement getPenalty()

### getWhitespaceManagementPenalty

    public WhitespaceManagementPenalty getWhitespaceManagementPenalty()

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.